-- Filename: BreedingCows.lua
--
-- Original Filename: LowerAnimalPrices.lua
-- Original Autore: vortex1988 (FSI Team)
-- Original Date: 13/11/2016
--
-- Adapted and Edited by: jb3pc4sale and Spanky
-- Date: 09/28/2018
--
-- Script adds breeding cows to map in the Giants cow nav mesh (removes the dairy).

BreedingCows = {};

BreedingCows.modDirectory = g_currentModDirectory;

addModEventListener(BreedingCows);

function BreedingCows:draw()
end;

function BreedingCows:keyEvent(unicode, sym, modifier, isDown)
end;

function BreedingCows:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BreedingCows:update(dt)

	--Updating cow price and attributes
	if  g_currentMission.husbandries.cow.animalDesc.canBeBought then
		g_currentMission.husbandries.cow.animalDesc.price = 4200;
		g_currentMission.husbandries.cow.animalDesc.dailyUpkeep = 3;
		g_currentMission.husbandries.cow.animalDesc.birthRatePerDay= 1/4;
		g_currentMission.husbandries.cow.animalDesc.milkPerDay = 0;
		g_currentMission.husbandries.cow.animalDesc.canBeBought = true;
		g_currentMission.husbandries.cow.animalDesc.hasStatistics = true;
		g_currentMission.husbandries.cow.animalDesc.imageFilename = self.modDirectory .. "store/store_cow.png";
	end;
end;

function BreedingCows:deleteMap()end;